Skip to main content
GET
List Customer

Authorizations

Authorization
string
header
required

Bearer API Key authentication. Format: Authorization: Bearer {your_api_key}

Headers

Request-Id
string
default:008e3967-a1b5-48bb-be14-d5bff5092e61
required

The unique identifier of the request

Query Parameters

search_customer_ids
string[]

Filter by customer IDs. Array size limit: [0,10]

search_email
string[]

Filter by emails. Array size limit: [0,10]

search_payer_id
string[]

Filter by integration-side customer IDs. Array size limit: [0,10]

customer_type
string

Filter type

  • customer: member
  • guest: visitor
starting_after
string

Cursor for pagination. starting_after is the object ID that defines your position in the list. For example, if you want to get the next page, you can use the last object's ID as the parameter value after getting the object list for the first time. Cannot be used together with ending_before

ending_before
string

Cursor for pagination. ending_before is the object ID that defines your position in the list. For example, if you want to get the previous page, you can use the first object's ID as the parameter value after getting the object list for the first time. Cannot be used together with starting_after

limit
integer<int32>

Pagination parameter, number of items per page, default: 10, interface defaults to sorting by creation time in descending order. Limit: [1, 100]

created_at.gt
string

Minimum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.gte
string

Minimum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.lt
string

Maximum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.lte
string

Maximum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

Response

200 - application/json

OK

code
string

error code

message
string

error message

data
object